# Uses of Class
org.apache.zookeeper.server.quorum.MultipleAddresses

Packages that use MultipleAddresses
Package
Description
org.apache.zookeeper.server.quorum

## Uses of MultipleAddresses in org.apache.zookeeper.server.quorum

Fields in org.apache.zookeeper.server.quorum declared as MultipleAddresses
Modifier and Type
Field
Description
`MultipleAddresses`
QuorumPeer.QuorumServer.`addr`
`final MultipleAddresses`
QuorumPeer.AddressTuple.`electionAddr`
`MultipleAddresses`
QuorumPeer.QuorumServer.`electionAddr`
`protected MultipleAddresses`
Learner.`leaderAddr`
`final MultipleAddresses`
QuorumPeer.AddressTuple.`quorumAddr`
Methods in org.apache.zookeeper.server.quorum that return MultipleAddresses
Modifier and Type
Method
Description
`MultipleAddresses`
QuorumPeer.`getElectionAddress()`
`MultipleAddresses`
QuorumPeer.`getQuorumAddress()`
Methods in org.apache.zookeeper.server.quorum with parameters of type MultipleAddresses
Modifier and Type
Method
Description
`protected void`
Learner.`connectToLeader(MultipleAddresses multiAddr, String hostname)`
Establish a connection with the LearnerMaster found by findLearnerMaster.
`void`
QuorumCnxManager.`initiateConnection(MultipleAddresses electionAddr, Long sid)`
First we create the socket, perform SSL handshake and authentication if needed.
`boolean`
QuorumCnxManager.`initiateConnectionAsync(MultipleAddresses electionAddr, Long sid)`
Server will initiate the connection request to its peer server asynchronously via separate connection thread.
`void`
QuorumPeer.`setLeaderAddressAndId(MultipleAddresses addr, long newId)`
Constructors in org.apache.zookeeper.server.quorum with parameters of type MultipleAddresses
Modifier
Constructor
Description
``
`AddressTuple(MultipleAddresses quorumAddr, MultipleAddresses electionAddr, InetSocketAddress clientAddr)`